Subject: Re: bug#26401: [PATCH] python-tryton (with no modules)

From: Catonano <[email-masked]>
Date: Tue, 16 May 2017 20:36:22 +0200

2017-05-16 19:12 GMT+02:00 Arun Isaac <[email-masked]>:

>
> Sure!
>
> tryton, and tryton related packages (especially the server side modules,
> GNU Health, etc.) are numerous and complicated enough to deserve their
> own separate file. You can put them in gnu/packages/tryton.scm.
>

Note taken. I will.

For all practical purposes, I think it's best to assume that there is no
> python3 genshi package. Instead, we should simply package
> python2-genshi, and let the authors fix their python3 package. In any
> case, tryton needs only python2-genshi. So, there is no urgent need for
> the python3 genshi package. I guess, this also means that there will be
> no python3 relatorio package.
>

I'm afraid you're right.
Sigh. I devolved way too much effort in packaging Genshi :-/

> >> > +    (arguments
> >> > +     `(#:phases
> >> > +       (modify-phases %standard-phases
> >> > +         (add-before 'check 'preparations
> >> > +                     (lambda* _
>
> Since you're not using any of `lambda*' features, you can just use
> `lambda' here.
>

note taken

Actually, this is not a big deal. We'll leave it as it is. If necessary,
> I'll fix it before pushing.
>

Thanks

>
> > diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
> > index 57a67de41..f1ef53e1a 100644
> > --- a/gnu/packages/python.scm
> > +++ b/gnu/packages/python.scm
> > @@ -14622,3 +14622,25 @@ substitute for redis.")
> >
> >  (define-public python2-fakeredis
> >    (package-with-python2 python-fakeredis))
> > +
> > +(define-public python-sql
> > +  (package
> > +    (name "python-sql")
> > +    (version "0.8")
> > +    (source
> > +     (origin
> > +       (method url-fetch)
>
> ...
>
> > +       (uri (pypi-uri
> > +             "python-sql"
> > +             version))
>
> Could you put these on the same line?
>

[...]

> > +    (propagated-inputs
> > +     `(("lxml" ,python2-lxml)
> > +       ("genshi" ,python2-genshi)))
>
> Use full names here, including the python version in the package name. I
> mean the full name of "lxml" is "python2-lxml", not "python-lxml". Make
> similar changes wherever applicable.
>

Ouch !
I owe you an apology, here

I mistakenly sent you the same patch file as before

I'm sorry :-/

>
> Also, in several places, there was a typo saying "pyton" instead of
> "python". Please fix those.
>

Gosh.
My keyboard si defective. I've been pleading with my technician for months
now.
I try to pay attention but more errors slip than I'd like
Sorry :-/

>
> > * gnu/packages/python.scm (python-trytond, python2-trytond): New
> variables.
>
> Change this commit message replacing python-trytond with trytond as
> discussed earlier. Make a similar change for the commit message
> involving python-tryton (the client).
>

Give me me some time to mourn my Genshi package.
I will send a new series (really, this time) soonish

Thanks